Reinforcement StirrupRebar/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/ro
{{docnav/ro|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]|[[Arch_Rebar_Helical/ro|Helical Rebar]]|[[Arch_Module/ro|Arch]]|IconL=Arch_Rebar_BentShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Helical.svg}}
|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]
|[[Arch_Rebar_Helical/ro|Helical Rebar]]
|[[Arch_Workbench/ro|Arch]]
|IconL=Arch_Rebar_BentShape.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_Helical.svg
}}
</div>
</div>


Line 14: Line 22:
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 21: Line 30:
</div>
</div>


This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].
The [[Arch_Rebar_Stirrup|Stirrup Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:AddonManager.svg|24px]] [[Addon Manager|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.


[[Image:Arch_Rebar_Stirrup_example.png|400px]]
[[Image:Arch_Rebar_Stirrup_example.png|400px]]
Line 30: Line 37:
</div>
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
Line 48: Line 56:
</div>
</div>


:[[Image:StirrupDialog.png|250px]]
[[Image:StirrupDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar Stirrup tool}}
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


Line 63: Line 72:
* {{PropertyData|Spacing}}: Distanța dintre acele fiecărei bare.
* {{PropertyData|Spacing}}: Distanța dintre acele fiecărei bare.


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>
</div>

{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 83: Line 95:
</div>
</div>


<span id="Example"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Exemplu:
Exemplu:
Crearea unei armături tip Stirrup rebar.
Crearea unei armături tip Stirrup rebar.
</div>
</div>

{{Code|code=
{{Code|code=
import Draft, Arch, Stirrup
import Draft, Arch, Stirrup
Line 101: Line 115:
115, 4, 8, 2, True, 10, Structure, "Face6")
115, 4, 8, 2, True, 10, Structure, "Face6")
}}
}}

=== Edition of the rebar ===


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Schimbarea proprietăților barei Stirrup.
Schimbarea proprietăților barei Stirrup.
</div>
</div>

{{Code|code=
{{Code|code=
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
Line 121: Line 138:
100, 4, 14, 8, True, 8)
100, 4, 14, 8, True, 8)
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/ro
{{docnav/ro|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]|[[Arch_Rebar_Helical/ro|Helical Rebar]]|[[Arch_Module/ro|Arch]]|IconL=Arch_Rebar_BentShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Helical.svg}}
|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]
|[[Arch_Rebar_Helical/ro|Helical Rebar]]
|[[Arch_Workbench/ro|Arch]]
|IconL=Arch_Rebar_BentShape.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_Helical.svg
}}
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]

{{Userdocnavi{{#translation:}}}}

[[Category:Reinforcement{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:45, 9 March 2024

Arch Rebar Stirrup

poziția meniului
Arch → Rebar tools
Ateliere
Arch, BIM
scurtătură
nici unul
Prezentat în versiune
0.17
A se vedea, de asemenea,
Helical Rebar, Rebar

Descriere

Instrumentul Stirrup Rebar permite utilizatorului să creeze un

stirrup reinforcing bar în elementul de structură.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Cum se folosește

  1. Creează un element structure
  2. Select any face of the structure
  3. Then select Stirrup Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like left cover, right cover, top cover, bottom, front cover, bent angle, bent factor, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click pe Cancel ieșirea din task panel

Task panel for the tool

Proprietăți

  • DateFront Cover: Distanța dintre armături și fațetele selectate.
  • DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DateBent Angle: Bent angle defines the angle at the ends of a stirrup.
  • DateBent Factor: Bent Factor defines length of stirrup end.
  • DateAmount: Cantitatea de armătură
  • DateSpacing: Distanța dintre acele fiecărei bare.

Scrip-Programare

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

Instrumentul Stirrup Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcției:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Adds a Stirrup reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Exemplu: Crearea unei armături tip Stirrup rebar.

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Edition of the rebar

Schimbarea proprietăților barei Stirrup.

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar is a previously created StirrupRebar object.
  • The other parameters are the same as required by the makeStirrup() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)